Package org.eclipse.m2m.atl.emftvm

## Interface InvokeOperationInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `InvokeInstruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Invoke`, `InvokeStatic`, `InvokeSuper`

All Known Implementing Classes:
  `InvokeImpl`, `InvokeOperationInstructionImpl`, `InvokeStaticImpl`, `InvokeSuperImpl`

    public interface InvokeOperationInstruction
    extends InvokeInstruction

A representation of the model object 'Invoke Operation Instruction'.

See Also:
  `EmftvmPackage.getInvokeOperationInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.reflect.Method` `getNativeMethod()` Returns the recorded native method that was invoked as a result of this instruction.
`java.lang.String` `getOpname()` Returns the value of the 'Opname' attribute.
`void` `setNativeMethod​(java.lang.reflect.Method method)` Sets the recorded native method that was invoked as a result of this instruction.
`void` `setOpname​(java.lang.String value)` Sets the value of the '`Opname`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.InvokeInstruction

`getArgcount, setArgcount`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getOpname

    java.lang.String getOpname()

Returns the value of the 'Opname' attribute.

If the meaning of the 'Opname' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Opname' attribute.
See Also:
  `setOpname(String)`, `EmftvmPackage.getInvokeOperationInstruction_Opname()`

#### setOpname

    void setOpname​(java.lang.String value)

Sets the value of the '`Opname`' attribute.

Parameters:
  `value` - the new value of the 'Opname' attribute.
See Also:
  `getOpname()`

#### getNativeMethod

    java.lang.reflect.Method getNativeMethod()

Returns the recorded native method that was invoked as a result of this instruction.

Returns:
  the recorded native method that was invoked as a result of this instruction.

#### setNativeMethod

    void setNativeMethod​(java.lang.reflect.Method method)

Sets the recorded native method that was invoked as a result of this instruction.

Parameters:
  `method` - the recorded native method that was invoked as a result of this instruction